# class Prism::Reflection::FlagsField

A flags field represents a bitset of flags on a node. It resolves to an integer in Ruby. Note that the flags cannot be accessed directly on the node because the integer is kept private. Instead, the various flags in the bitset should be accessed through their query methods.

### Attributes

flags [R]

The names of the flags in the bitset.

### Public Class Methods

new (name, flags)
Source

    # File lib/prism/reflection.rb, line 97
    def initialize(name, flags)
      super(name)
      @flags = flags
    end

Initializes the flags field with the given name and flags.

Calls superclass method `Prism::Reflection::Field::new`